Get Partners
curl --request GET \
--url https://api.example.com/v2/partners \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/partners"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/partners', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"account_number": "<string>",
"assignee_id": "<string>",
"business_unit_id": "<string>",
"currency": "ADP",
"email": "<string>",
"name": "<string>",
"legal_name": "<string>",
"phone": "<string>",
"parent_id": "<string>",
"remote_id": "<string>",
"subsidiary_count": 1,
"last_outreach_at": "2023-11-07T05:31:56Z",
"last_outreach_to": "<string>",
"last_outreach_channel": "email",
"is_email_outreach_manually_paused": true,
"is_call_outreach_manually_paused": true,
"invoice_stats": {
"invoice_balance": "<string>",
"total_overdue": "<string>",
"num_overdue_invoices": 1,
"num_open_invoices": 1,
"oldest_open_invoice_due_date": "2023-11-07T05:31:56Z"
},
"contact_completeness": {
"has_primary_email": true,
"has_primary_phone": true,
"is_email_disabled": true,
"is_phone_disabled": true,
"is_sms_disabled": true
},
"active_dispute_count": 0,
"terminal_dispute_count": 0,
"object": "<string>"
}
],
"current_page": 0,
"total_records": 1,
"next_page": 123
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}partners
Get Partners
List Partners
Retrieve a list of partners with invoice stats and outreach state.
GET
/
v2
/
partners
Get Partners
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number, 0 indexed.
Required range:
x >= 0Number of records per page.
Required range:
1 <= x <= 500Available options:
currency, email, is_overdue, num_open_invoices, name, oldest_open_invoice_due_date, phone, invoice_balance, total_overdue, last_outreach_at, account_number, remote_id Available options:
asc, desc Filter by customer segment ID.
Exclude partners matching higher-priority segments.
Filter by business unit IDs
Available options:
primary_email, primary_phone, assignee, assignee_email_linked, disabled_email, disabled_phone Available options:
primary_email, primary_phone, assignee, assignee_email_linked, disabled_email, disabled_phone Available options:
primary_email, primary_phone, assignee, assignee_email_linked, disabled_email, disabled_phone Available options:
primary_email, primary_phone, assignee, assignee_email_linked, disabled_email, disabled_phone Response
Successful Response
